import { SettingSchema } from '../../schemas/setting/SettingSchema';
declare class Setting {
    id: string;
    key: string;
    value: string;
    type: string;
    constructor(values: Setting);
    isValid(): Promise<boolean>;
    validate(): Promise<any>;
}
export { Setting, SettingSchema };
